Subject: Re: bug#76025: [PATCH 1/1] * lisp/progmodes/sql.el: login without prompting

From: Michael Mauger <[email-masked]>
Date: Fri, 07 Feb 2025 02:42:19 +0000

On Thursday, February 6th, 2025 at 7:12 PM, Ihor Radchenko <[email-masked]> wrote:

> Phil Estival [email-masked] writes:
> 
> > This is a patch of `sql-product-interactive' in order to connect without prompting for or asking to confirm connection parameters, using ones already set and stored in` sql-database', `sql-server', -user, etc.
> 
> 
> For context, we want this feature to improve Org babel's sql library
> (ob-sql) where we need to run session programmatically. See
> https://list.orgmode.org/orgmode/[email-masked]/
> 
> CCing sql.el maintainer.
> 

Okay, a lot here... 🤔

For my context, how are ob-sql "sessions" different from what is provided by `sql-product-interactive` buffers? I see you avoiding `sql-product-interactive` buffers but the result is that you are duplicating a lot of logic already present in `sql.el`. I have used babel to drive a sqlite3 in-memory database without the ob-sql machinery, so I'm wondering how I must warp my old batch card deck way of thinking to understand the problem you are trying to solve.

I do see that you are supporting "engines" not present in `sql.el`; have interactive support for these engines been made available as ELPA/MELPA/... modules? Should they be?

I also see hardcoding of sql command processor cli names; why not use the name already customized in sql.el?

I am very interested in supporting this effort within sql.el if I can. I inherited sql.el a couple of decades ago and other than adding support for using multiple dialects within the same Emacs instance, the feature set is pretty bare-bones. I have some time rn to focus on this, so if someone has the time/inclination to expand my vision, I'd appreciate it.

-- 
[email-masked] // FSF and SFConservancy // GNU Emacs sql.el maintainer